# Roentgen
[![](https://img.shields.io/badge/docs-stable-blue.svg)](https://image-x-institute.github.io/Roentgen.jl/stable/)
[![](https://img.shields.io/badge/docs-dev-blue.svg)](https://image-x-institute.github.io/Roentgen.jl/dev/)
[![CI](https://github.com/Image-X-Institute/Roentgen.jl/actions/workflows/CI.yml/badge.svg)](https://github.com/Image-X-Institute/Roentgen.jl/actions/workflows/CI.yml)
[![codecov](https://codecov.io/gh/Image-X-Institute/Roentgen.jl/branch/main/graph/badge.svg?token=FBOJ3CMLN9)](https://codecov.io/gh/Image-X-Institute/Roentgen.jl)

*Lars Mejnertsen*

A Julia package for calculating dose for radiotherapy treatments.

This package is under development, so the implementation may change between versions.

![dose_recon_example](docs/src/assets/dose-reconstruction.png)

## Setup and Usage

To add the package to your environment, open the Julia REPL and type the `]` to open the package manager.
Add the package by entering:

```julia
add https://github.com/Image-X-Institute/Roentgen.jl
```

Once completed, you can exit the package manager by pressing Backspace.

You can then use the package by entering:

```julia
using Roentgen
```

There are examples for simple use cases and features in the [examples](https://github.com/Image-X-Institute/Roentgen.jl/tree/main/examples) folder.

## Documentation

The documentation is still under development.
The documentation is generated by [Documenter.jl](https://juliadocs.github.io/Documenter.jl/stable/) and located in the `docs/` folder.

To build:

1. Navigate to the project directory in the terminal.
2. Run `julia --project=docs make.jl`

This will generate the documentation HTML in `docs/build`.

### Developing the Documentation

For developing the documentation, we recommend using LiveServer.jl.
LiverServer.jl will build the docs locally and update them in real-time as they are being edited, serving them on a local webpage.
This is not added to the docs enviroment so it will need to be installed.

From the project directory, run
```sh
julia --project=docs docs/liveserver.jl
```
This will usually serve the docs at [http://localhost:8000](http://localhost:8000), which you can view in your web browser.

## Directory Structure

```
Project.toml	Dependency Files
src/			Source Files
examples/		Example Usage Scripts
docs/			Documentation
```

